(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["vue2-design-systems"] = {}));
})(this, (function (exports) { 'use strict';

  var Button = {
    render: function () {
      var _vm = this;

      var _h = _vm.$createElement;

      var _c = _vm._self._c || _h;

      return _c('button', {
        class: _vm.classes,
        style: _vm.style,
        attrs: {
          "type": "button"
        },
        on: {
          "click": _vm.onClick
        }
      }, [_vm._v(_vm._s(_vm.label))]);
    },
    staticRenderFns: [],
    name: 'my-button',
    props: {
      label: {
        type: String,
        required: true
      },
      primary: {
        type: Boolean,
        default: false
      },
      size: {
        type: String,
        default: 'medium',
        validator: function (value) {
          return ['small', 'medium', 'large'].indexOf(value) !== -1;
        }
      },
      backgroundColor: {
        type: String
      }
    },
    computed: {
      classes() {
        return {
          'storybook-button': true,
          'storybook-button--primary': this.primary,
          'storybook-button--secondary': !this.primary,
          [`storybook-button--${this.size}`]: true
        };
      },

      style() {
        return {
          backgroundColor: this.backgroundColor
        };
      }

    },
    methods: {
      onClick() {
        this.$emit('onClick');
      }

    }
  };

  exports.Button = Button;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
